package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectItem;

/**
 * 巡查项 数据层
 */
@Mapper
public interface TBusiInspectItemMapper {

    TBusiInspectItem selectTBusiInspectItemByGuid(String guid);

    List<TBusiInspectItem> selectTBusiInspectItemList(TBusiInspectItem tBusiInspectItem);

    int insertTBusiInspectItem(TBusiInspectItem tBusiInspectItem);

    int updateTBusiInspectItem(TBusiInspectItem tBusiInspectItem);

    int deleteTBusiInspectItemByGuid(String guid);

    int deleteTBusiInspectItemByGuids(String[] guids);
}
